/* Farve koder for farver i css */
:root{
  --black: #212121;
  --dark: #424246;
  --white: #f5f5f5;
  --gray: #bab5b5;
  --red: #bb2121;
  --green: #158019;
}
/*Main CSS info for side*/
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }
  
  html, body {
    height: 100%;
  }
  
  body {
    font-family: Arial, sans-serif;
    background: var(--dark);
    display: flex;
    flex-direction: column;
  }

  main {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0;
  }
  
  /* Fælles layout for header, quiz og footer */
  .layout-box {
    width: 100%;
    max-width: 99%;
    margin: 0 auto;
    padding: 0 20px;
  }
  
 /* HEADER(der er i class-form) */
  .header {
    background: var(--white);
    border: 3px solid var(--black);
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    padding-top: 50px;
    padding-bottom: 10px;
    margin-top: -49px;
    border-radius: 20px;
  }
  /*Hjem-knap*/
  #homeBtn {
    background: none;
    border: none;
    font-size: 24px;
    cursor: pointer;
  }
  /* Sprog skifte knap */
  .language-toggle button {
    background: none;
    border: none;
    font-size: 25px;
    font-weight: bold;
    margin-left: 10px;
    padding: 5px 10px;
    cursor: pointer;
  }
  
  .language-toggle .active {
    background-color: var(--gray);
  }

  /* FORSIDE af quizz*/

   #startTitle {
    font-size: 88px;
    font-weight: bold;
    color: var(--black);
    margin-bottom: 30px;
  }
  

  #startDesc {
    font-size: 82px;
    font-weight: normal;
    line-height: 1.6;
    margin-bottom: 40px;
    max-width: 100%;
  }
  
  /* QUIZ BOX */
  .quiz-container {
    background: var(--white);
    border: 3px solid var(--black);
    border-radius: 20px;
    width: 100%;
    min-height: 360px;
    padding: 60px 60px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    line-height: 1.6;
    overflow-y: auto;
  
    flex-grow: 1;
    height: 100%;
    margin-top: 10px;
    margin-bottom: 10px;
  }
  
  .quiz-container h1,
  .quiz-container h2,
  .quiz-container p {
    max-width: 100%;
    margin: 0 auto 30px;
  }
  
  /* Spørgsmål */
  #questionText {
    font-size: 92px;
    font-weight: bold;
    line-height: 1.4;
    margin-bottom: 60px;
    max-width: 100%;
  }
  
  /* Svar-knapper */
  .answer-buttons {
    display: flex;
    justify-content: center;
    gap: 40px;
    flex-wrap: wrap;
    margin-top: auto;
  }
  
  .answer-btn {
    font-size: 72px;
    font-weight: bold;
    padding: 12px 32px;
    border: 2px solid var(--black);
    background: var(--white);
    cursor: pointer;
    border-radius: 10px;
    margin-top: 20px;
  }
  
  /* Feedback: resultat */
  #answerResult {
    font-size: 88px;
    font-weight: bold;
    color: var(--red);
    margin-bottom: 30px;
  }
  
  /* Feedback: forklaring */
  #answerExplanation {
    font-size: 82px;
    font-weight: normal;
    line-height: 1.6;
    margin-bottom: 40px;
    max-width: 100%;
  }
  
  /* Feedback: link */
  #readMore {
    font-size: 30px;
    display: block;
    margin: 10px auto 30px;
    font-weight: bold;
    text-decoration: underline;
    color: var(--black);
  }
  
  /* Næste/prøv igen-knap */
  .next-btn {
    font-size: 22px;
    padding: 12px 32px;
    border: 2px solid --black;
    background: var(--white);
    font-weight: bold;
    cursor: pointer;
    border-radius: 10px;
    margin-top: 20px;
  }
  
  /* Slutskærm: resultat */
  #finalScore, #endTitle {
    font-size: 80px;
    font-weight: bold;
    line-height: 1.6;
    margin-bottom: 40px;
  }
  
  
  /* FOOTER (der er i class-form)*/
  .footer {
    background: var(--white);
    border: 3px solid var(--black);
    text-align: center;
    padding: 15px 0;
    width: 100%;
    font-size: 20px;
    font-weight: bold;
    border-radius: 20px;
  }